/**** Importation de la police "Kanit" ****/

@import url('https://fonts.googleapis.com/css2?family=Kanit:wght@600&display=swap');

/**** Reset ****/

*,
::before,
::after {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}


button {
    border: none;
    outline: none;
}

/**** body ****/

body {
    width: 100%;
    min-height: 100vh;
    display: flex;
    flex-direction: column;
    background-color: #404a65;
    color: #ecedf0;
    font-family: "Kanit", sans-serif;
    padding: 20px;
}

/**** header ****/

header {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 0 20px 20px;
}

.main__title,
.subtitle {
    text-align: center;
}

.main__title {
    font-size: 100px;
    margin-top: 0;
    margin-bottom: 20px;
    text-shadow: 2px 2px 0px #35383f;
    -webkit-text-stroke-width: 5px;
    -webkit-text-stroke-color: #35383f;
}

.subtitle {
    font-size: 20px;
}

/**** main ****/

.main__content {
    flex-grow: 1;
}

/**** main, secion container, div container__coin ****/

.main__content,
.container,
.container__coin {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

/**** div container coin ****/

.container__coin {
    margin-block: 60px;
}

.coin {
    width: 160px;
    height: 160px;
    margin-bottom: 40px;
    cursor: pointer;
    transition: transform 0.2s ease-in-out;
}

.coin__shadow {
    width: 100px;
    height: 8px;
}

/**** Flip Animation ****/

.flip {
    transform: rotateY(360deg);
}

.container__result {
    font-size: 20px;
    margin-bottom: 60px;
}

.container__btn {
    font-size: 20px;
    text-transform: uppercase;
    width: 150px;
    text-align: center;
    padding: 8px 20px;
    background-color: #1f6fb0;
    color: #ecedf0;
    border-radius: 10px;
    cursor: pointer;
    will-change: transform;
    transition: transform 0.3s ease;
}

.container__btn:hover {
    transform: translateY(-4px);
}

/**** footer ****/

.footer__text {
    text-align: center;
    font-size: 20px;
    margin-top: 90px;
}

.footer__text a {
    color: #1f6fb0;
}

/**** Responsive design version mobile ****/

@media screen and (max-width: 572px) {
    body {
        padding: 20px 10px;
    }

    .main__title {
        font-size: 50px;
        -webkit-text-stroke-width: 2px;
    }
}